# $Revision: 1.16 $, $Date: 2010/06/06 08:44:41 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	GDOME
Summary:	XML::GDOME - interface to Level 2 DOM gdome2 library
Summary(pl.UTF-8):	XML::GDOME - interfejs do biblioteki DOM Level 2 gdome2
Name:		perl-XML-GDOME
Version:	0.86
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	01ee59f686f9d409bdc316297942ea55
URL:		http://search.cpan.org/dist/XML-GDOME/
BuildRequires:	gdome2-devel >= 0.7.2
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-LibXML-Common
BuildRequires:	perl-XML-SAX
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::GDOME is a Perl module that provides the DOM Level 2 Core API
for accessing XML documents. It uses a XS wrapper around the gdome2
library.

%description -l pl.UTF-8
XML::GDOME to moduł Perla dostarczający podstawowe API DOM Level 2 do
dostępu do dokumentów XML. Używa wrappera XS do biblioteki gdome2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/XML/*.pm
%dir %{perl_vendorarch}/XML/GDOME
%{perl_vendorarch}/XML/GDOME/SAX
%dir %{perl_vendorarch}/auto/XML/GDOME
%{perl_vendorarch}/auto/XML/GDOME/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/XML/GDOME/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-GDOME.spec,v $
Revision 1.16  2010/06/06 08:44:41  arekm
- release 5

Revision 1.15  2008/03/25 21:01:28  qboosh
- generic URL

Revision 1.14  2008-03-02 18:33:57  radek
- release 4

Revision 1.13  2008-02-10 12:23:54  arekm
- rel 3

Revision 1.12  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.11  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.9  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.8  2004/11/03 22:30:55  paladine
- formatting

Revision 1.7  2004/06/14 09:23:32  radek
- release 2: it's not noarch

Revision 1.6  2004/05/06 18:43:24  ankry
- fixed perl-devel BR

Revision 1.5  2004/05/04 23:35:15  ankry
- cosmetics

Revision 1.4  2004/04/04 17:28:50  adamg
- updated to 0.86

Revision 1.3  2003/12/05 21:55:23  migo
- up to 0.85
- removed outdated patch

Revision 1.2  2003/10/09 23:07:24  qboosh
- pl, some unifications

Revision 1.1  2003/10/06 15:06:03  migo
- initial release
